﻿var NUM = 1.3;
var CANVAS_WIDTH = 0;
var CANVAS_HEIGHT = 0;
window.networkerror = false;
function $(a) {
    return document.getElementById(a)
}
function scriptRequest(b, d) {
    var c = b;
    if (d) {
        c += "&callback=" + d + "&t=" + Date.now()
    }
    if (document.getElementById("_script_")) {
        document.getElementById("_script_").parentNode.removeChild(document.getElementById("_script_"))
    }
    var a = document.createElement("script");
    a.charset = "utf-8";
    a.setAttribute("id", "_script_");
    a.setAttribute("type", "text/javascript");
    a.onerror = function() {
        window.networkerror = true;
        var e = document.createEvent("Event");
        e.initEvent("networkdisconect", true, true);
        document.dispatchEvent(e)
    };
    document.body.appendChild(a);
    a.setAttribute("src", c)
}
function ajax(b, c) {
    if (document.getElementById("_XML_")) {
        document.getElementById("_XML_").parentNode.removeChild(document.getElementById("_XML_"))
    }
    var a = document.createElement("script");
    a.charset = "utf-8";
    a.setAttribute("id", "_XML_");
    a.setAttribute("type", "text/javascript");
    document.body.appendChild(a);
    a.setAttribute("src", b)
}
function domDeal(v) {
    var A = new DOMParser();
    var u = A.parseFromString(v, "text/xml");
    var p = u.getElementsByTagName("sw")[0].getAttribute("cid");
    CANVAS_WIDTH = u.getElementsByTagName("sw")[0].getAttribute("width") * NUM;
    CANVAS_HEIGHT = u.getElementsByTagName("sw")[0].getAttribute("height") * NUM;
    var m = [];
    var K = u.getElementsByTagName("l");
    for (var Z = 0, k = K.length; Z < k; Z++) {
        var N = K[Z];
        var h = p + "|" + N.getAttribute("lid");
        var P = N.getAttribute("lb");
        var B = N.getAttribute("slb");
        var X = parseInt(N.getAttribute("n"), 10) * NUM;
        var c = (N.getAttribute("loop") == "true");
        var s = parseFloat(N.getAttribute("lbx")) * NUM;
        var q = parseFloat(N.getAttribute("lby")) * NUM;
        var w = parseFloat(N.getAttribute("lbr")) * NUM;
        var T = N.getAttribute("lc").split("0x");
        var M = "#" + T[1];
        var o = new Line(h, P, B, X, c, s + CANVAS_WIDTH / 2, q + CANVAS_HEIGHT / 2, w, M);
        var ab = [];
        var U = N.getElementsByTagName("p");
        for (var Y = 0, J = U.length; Y < J; Y++) {
            var a = U[Y];
            var z = h + "|" + a.getAttribute("sid");
            var P = a.getAttribute("lb");
            var Q = a.getAttribute("uid1");
            var O = a.getAttribute("uid2");
            var l = parseFloat(a.getAttribute("px")) * NUM;
            var g = parseFloat(a.getAttribute("py")) * NUM;
            var S = parseFloat(a.getAttribute("x")) * NUM;
            var R = parseFloat(a.getAttribute("y")) * NUM;
            var G = parseFloat(a.getAttribute("rx")) * NUM;
            var F = parseFloat(a.getAttribute("ry")) * NUM;
            var r = (a.getAttribute("st") == "true");
            var W = (a.getAttribute("ex") == "true");
            var E = (a.getAttribute("iu") == "true");
            var V = (a.getAttribute("rc") == "true");
            var B = (a.getAttribute("slb") == "true");
            var I = a.getAttribute("ln");
            var b = parseFloat(a.getAttribute("int")) * NUM;
            var t = a.getAttribute("icon") || "";
            var f = parseFloat(a.getAttribute("dx")) * NUM;
            var d = parseFloat(a.getAttribute("dy")) * NUM;
            try {
                var D = parseFloat(a.getAttribute("trs_x")) * NUM || 0;
                var C = parseFloat(a.getAttribute("trs_y")) * NUM || 0
            } catch(aa) {}
            var H = M;
            var L = new Station(z, P, Q, O, l, g, S + CANVAS_WIDTH / 2, R + CANVAS_HEIGHT / 2, G, F, r, W, E, V, B, I, H, t, f, d, D, C, b);
            ab.push(L)
        }
        o.stations = ab;
        m.push(o)
    }
    begin(m)
}
function Line(i, d, c, f, h, e, b, g, a) {
    this.lid = i;
    this.lb = d;
    this.slb = c;
    this.n = f;
    this.loop = h;
    this.lbx = e;
    this.lby = b;
    this.lbr = g;
    this.lc = a;
    this.stations = []
}
function Station(a, p, l, k, n, m, h, f, d, b, o, s, c, q, e, g, r, t, j, i, w, v, u) {
    this.sid = a;
    this.lb = p;
    this.uid1 = l;
    this.uid2 = k;
    this.px = n;
    this.py = m;
    this.x = h;
    this.y = f;
    this.rx = d;
    this.ry = b;
    this.st = o;
    this.ex = s;
    this.iu = c;
    this.rc = q;
    this.slb = e;
    this.ln = g;
    this.color = r;
    this.icon = t;
    this.dx = j;
    this.dy = i;
    this.trs_x = w;
    this.trs_y = v;
    this.interval = u
}
function setPadViewPort(f, d, h) {
	return;
    var c = document.querySelector("meta[name=viewport]"),
    g = "";
    if (h) {
        g = ",initial-scale=0.6"
    }
    c.setAttribute("content", "width=device-width,minimum-scale=" + f + ",maximum-scale=" + d + g)
}
window.config = {
    city: getQueryStringArgs()["c"],
    cityid: "",
    poi: {
        px: 0,
        py: 0
    },
    loc: {
        px: 0,
        py: 0
    },
    imei: "",
    mobileType: "",
    infEnter: 0,
    LINE_WIDTH: 6 * NUM,
    CIRCLE_LINE_WIDTH: 2 * NUM,
    CIRCLE_RADIUS: 5 * NUM,
    STATION_X: -8,
    STATION_Y: 0,
    STATION_NAME_X: 3 * NUM,
    STATION_NAME_Y: 14 * NUM,
    LINE_NAME_X: 0 * NUM,
    LINE_NAME_Y: 18 * NUM,
    TRANSFER_WIDTH: 16 * NUM,
    TRANSFER_HEIGHT: 16 * NUM,
    TRANSFER_X: 0 - 16 * NUM / 2,
    TRANSFER_Y: 0 - 16 * NUM / 2,
    TRANSFER_CLICK_X: -9,
    TRANSFER_CLICK_Y: -2,
    transfer_pic: "images/transfer.png",
    STATION_WORD_SIZE: "16px",
    STATION_WORD_LENGTH: "120px",
    TRANSFER_WORD_SIZE: "24px",
    TRANSFER_WORD_LENGTH: "400px"
};
window.storage = {
    currentPoi: {},
    lastClickPoi: {},
    isShowBox: false,
    isShowTimeout: false,
    lineColor: {}
};
function setPlaceInfo(b) {
    var f = JSON.parse(b);
    var g = {
        "131": "beijing",
        "289": "shanghai",
        "257": "guangzhou",
        "340": "shenzhen",
        "2912": "hongkong"
    };
    var d = [{
        cn_name: "北京",
        name: "beijing"
    },
    {
        cn_name: "上海",
        name: "shanghai"
    },
    {
        cn_name: "广州",
        name: "guangzhou"
    },
    {
        cn_name: "深圳",
        name: "shenzhen"
    },
    {
        cn_name: "香港",
        name: "hongkong"
    }];
    window.config.city = g[f.cityid];
    window.config.loc.px = f.locx * NUM || 0;
    window.config.loc.py = f.locy * NUM || 0;
    window.config.poi.px = f.poix * NUM || 0;
    window.config.poi.py = f.poiy * NUM || 0;
    window.config.imei = f.imei || "";
    window.config.cityid = f.cityid;
    window.config.nopop = 0;
    if (f.from) {
        if (f.from == "0" || f.from == "2" || f.from == "4") {
            window.config.nopop = "0"
        } else {
            window.config.nopop = "1";
            window.config.loc.px = 0;
            window.config.loc.py = 0;
            window.config.poi.px = 0;
            window.config.poi.py = 0
        }
    }
    if (!g[f.cityid]) {
        setPadViewPort("1", "1");
        $("container").style.display = "none";
        $("cityList").style.display = "block";
        var c = [];
        for (var e = 0, a = d.length; e < a; e++) {
            c.push("<li onclick=\"openInit('" + d[e].name + "', '" + d[e].cn_name + "')\">" + d[e].cn_name + "</li>")
        }
        $("cityList_name").innerHTML = c.join("")
    } else {
        $("container").style.display = "block";
        $("cityList").style.display = "none";
        init(window.config.city)
    }
}
function openInit(b, a) {
    $("container").style.display = "block";
    $("cityList").style.display = "none";
    window.config.loc.px = 0;
    window.config.loc.py = 0;
    window.config.poi.px = 0;
    window.config.poi.py = 0;
    window.location.href = "bdapi://changeCity?city=" + encodeURIComponent(a + "市");
    init(b)
}
function scrollWindow(a, b) {
    window.scrollTo(a, b)
}
function createCanv(c) {
    var a = document.getElementById(c);
    if ($("cav")) {
        a.removeChild($("cav"))
    }
    var b = document.createElement("canvas");
    b.setAttribute("class", "cav");
    b.setAttribute("id", "cav");
    b.setAttribute("width", CANVAS_WIDTH);
    b.setAttribute("height", CANVAS_HEIGHT);
    a.appendChild(b);
    if (b.getContext) {
        window.mycontext = b.getContext("2d")
    } else {
        window.mycontext = null;
        alert("您的浏览器不支持canvas");
        return
    }
}
function init(a) {
    setPadViewPort("0.3", "1", "1");
    window.pics = {};
    window.pics.transfer = new Image();
    window.pics.transfer.src = "images/transfer.png";
    window.pics.transfer.onload = function() {
    	window.config.moblieType = 'html5';
        if ((/android/gi).test(navigator.appVersion)) {
            window.config.mobileType = "android"
        } else {
            if ((/iphone/gi).test(navigator.appVersion)) {
                window.config.mobileType = "iphone"
            } else {
                if ((/ipad/gi).test(navigator.appVersion)) {
                    window.config.moblieType = "ipad"
                }
            }
        }
        if (a) {
            try {
                ajax("assets/sw_" + a + ".js")
            } catch(b) {}
        }
    }
}
function begin(f) {
    var b = Date.now();
    createCanv("container1");
    draw(f);
    var a = config.loc;
    if (config.poi.px && config.poi.py) {
        a = config.poi;
        window.config.infEnter = 1
    }
    var d = nearestPoi(f, a);
    try {
        if (window.config.nopop != "1") {
            d.uid1 && dealThis($(d.uid1), 1)
        }
    } catch(g) {}
    var c = Date.now();
    setTimeout(function() {
        if (d.x == 0 || d.y == 0) {
            scrollWindow(CANVAS_WIDTH / 2 - window.innerWidth / 2, CANVAS_HEIGHT / 2 - window.innerHeight / 2)
        } else {
            scrollWindow(d.x - window.innerWidth / 2, d.y - window.innerHeight / 2)
        }
    },
    500)
}
var data2 = {}, data3 = [], dcount = 0;
function gdata2(data){
if(data.content){
data2[""+data.content.uid] = data;
delete data['current_city'];
delete data['hot_city'];
delete data['result'];
}
dcount++;
if(dcount==data3.length){
    $("container4").innerHTML = JSON.stringify(data2);
}
}
function draw(x) {
    var b = x;
    var w = b.length;
    var c = [];
    for (var h = 0; h < w; h++) {
        mycontext.beginPath();
        var m = b[h];
        var y = m.lid.substr(m.lid.indexOf("|") + 1).replace(/\(.*\)/, "");
        window.storage.lineColor[y] = m.lc;
        var u = m.stations.length;
        for (var v = 0; v < u; v++) {
            var n = m.stations[v];
            var s = n.x;
            var q = n.y;
            var t = n.rc;
            var r = "";
            if (t) {
                checkLineState(m, v + 1)
            } else {
                checkLineState(m, v)
            }
            if (v == 0) {
                mycontext.moveTo(s, q)
            } else {
                if (t) {
                    var j = m.stations[v - 1];
                    var l = m.stations[v + 1];
                    var d = j.x;
                    var g = l.x;
                    var k = j.y;
                    var o = l.y;
                    var f = 2 * s - (d + g) / 2;
                    var e = 2 * q - (k + o) / 2;
                    mycontext.quadraticCurveTo(f, e, g, o)
                } else {
                    mycontext.shadowOffSetX = 6;
                    mycontext.shadowOffSety = 6;
                    mycontext.shadowColor = "#cccccc";
                    mycontext.shadowBlur = 0;
                    mycontext.lineTo(s, q)
                }
            }
            if (m.loop) {
                if (v == (u - 1)) {
                    var a = m.stations[0].x;
                    var i = m.stations[0].y;
                    mycontext.lineTo(a, i)
                }
            }
            if (n.iu || n.ex) {
                r = ' onclick="event.stopPropagation();dealThis(this)"'
            }
            c.push('<div  id="' + n.uid1 + '" name="' + n.ln + '"' + r + ' style="position: absolute; left:' + (n.x + window.config.STATION_X) + "px; top:" + (n.y + window.config.STATION_Y) + "px; width: 16px; height: 16px;  border: 0px" + m.lc + ' solid; background-color: transparent">');
            c.push("</div>");
            data3.push(n.uid1);
            if (n.ex) {
                c.push('<div id="' + n.uid1 + '" name="' + n.ln + '"' + r + ' style="position: absolute; left:' + (n.x + config.TRANSFER_CLICK_X + n.trs_x) + "px; top:" + (n.y + config.TRANSFER_CLICK_Y + n.trs_y) + "px; width: " + config.TRANSFER_WIDTH + "px; height: " + config.TRANSFER_HEIGHT + 'px;">');
                c.push("</div>")
            }
        }
        mycontext.stroke()
    }
    $("container2").innerHTML = c.join("");
/*    data2 = {};
    for (var h = 0; h < data3.length; h++) {
    	var a = "http://map.baidu.com/?qt=inf&uid=" + data3[h];
        setTimeout((function(a){
        return function(){
        scriptRequest(a, "gdata2");
        };})(a), 30*h);
    }*/
    var p = {};
    p.imei = window.config.imei;
    p.cityid = window.config.cityid;
    addStat(STAT_SUBWAY_VISIT, p)
}
function checkLineState(b, a) {
    var c = b.stations[a];
    if (!c || !c.st) {
        return
    }
    if (c.iu) {
        mycontext.lineWidth = config.LINE_WIDTH;
        mycontext.strokeStyle = b.lc
    } else {}
}
function dealThis(c, d) {
    window.config.isShowTimeout = false;
    window.storage.currentPoi = c;
    if (window.storage.lastClickPoi == window.storage.currentPoi && window.storage.isShowBox) {
        $("container3").style.display = "none";
        window.storage.isShowBox = false
    } else {
        if (d && window.config.infEnter == 0) {
            initInfo()
        } else {
            var b = {};
            b.imei = window.config.imei;
            b.cityid = window.config.cityid;
            addStat(STAT_SUBWAY_CLICK, b);
//            var a = "http://map.baidu.com/?qt=inf&uid=" + c.id;
//            waitInfo();
            showInfo(window.stations[c.id]||{});
//            scriptRequest(a, "showInfo");
            setTimeout(function() {
                if (!window.config.isShowTimeout) {
                    var e = [];
                    e.push('<div class="wait" id="wait"><span class="text" >网络连接超时</span></div>');
                    $("msgbox").innerHTML = e.join("")
                }
            },
            8000)
        }
    }
    window.storage.lastClickPoi = window.storage.currentPoi
}
function waitInfo() {
    var a = [];
    a.push('<div class="wait" id="wait"><span class="load"></span><span class="text" >正在加载...</span></div><div id="wait-loading"></div>');
    $("msgbox").innerHTML = a.join("");
    $("container3").style.display = "block";
    window.storage.isShowBox = true;
    setBoxPos("container3", window.storage.currentPoi.style.left, window.storage.currentPoi.style.top)
}
function initInfo() {
    var a = [];
    a.push('<div class="wait" id="wait"><span class="text" >这是离您最近的地铁站</span></div><div id="wait-loading"></div>');
    $("msgbox").innerHTML = a.join("");
    $("container3").style.display = "block";
    window.storage.isShowBox = true;
    setBoxPos("container3", window.storage.currentPoi.style.left, window.storage.currentPoi.style.top);
    window.storage.lastClickPoi = window.storage.currentPoi
}
function showInfo(g) {
    window.config.isShowTimeout = true;
    var f = [];
    if (g && g.content && g.content.ext && g.content.ext.line_info) {
        f.push('<div class="stationname">' + g.content.name + "</div>");
        var a = g.content.ext.line_info;
        var e = {};
        for (var d = 0; d < a.length; d++) {
            if (e[a[d].line_name]) {
                e[a[d].line_name].push(a[d])
            } else {
                e[a[d].line_name] = [a[d]]
            }
        }
        for (var b in e) {
            f.push('<div class="line">');
            f.push('<div class="linetitle" style="border-bottom-color:' + window.storage.lineColor[b] + '"><span class="titletext" style="background-color:' + window.storage.lineColor[b] + '">' + b + "</span></div>");
            for (var c = 0; c < e[b].length; c++) {
                if (e[b][c].first_time || e[b][c].last_time) {
                    f.push('<div class="list">');
                    f.push('<span class="end-text">' + e[b][c].terminals + '</span><span class="fangxiang">方向</span>');
                    f.push('<div class="time">');
                    f.push('<span class="shi">始</span><span class="shi-time">' + checkTimeStyle(e[b][c].first_time) + "</span>");
                    f.push('<span class="shi">末</span><span class="mo-time">' + checkTimeStyle(e[b][c].last_time) + "</span>");
                    f.push("</div></div>")
                }
            }
            f.push("</div>")
        }
    } else {
        f.push('<div class="wait" id="wait"><span class="text" >数据加载异常</span></div><div id="wait-loading"></div>')
    }
    $("msgbox").innerHTML = f.join("");
    $("msgbox").uid = g["primary_uid"];
    $("container3").style.display = "block";
    scaleChanged(0);
//    setBoxPos("container3", window.storage.currentPoi.style.left, window.storage.currentPoi.style.top);
    window.storage.isShowBox = true
}
function setBoxPos(d, b, c) {
    var a = $(d).offsetHeight;
    if (parseInt(b) > 200) {
        $("ov").style.left = "135px";
        $(d).style.left = (parseInt(b) - 137) + "px";
        $(d).style.top = (parseInt(c) - a) + "px"
    } else {
        $("ov").style.left = "15px";
        $(d).style.left = (parseInt(b) - 17) + "px";
        $(d).style.top = (parseInt(c) - a) + "px"
    }
    var $d=$(d), $dl = $d.offsetLeft, $dt = $d.offsetTop, $dw = $d.offsetWidth, $dh = $d.offsetHeight,  $bd = document.body, $bdw = window.innerWidth, $bdh = window.innerHeight, $bdsl = $bd.scrollLeft, $bdst = $bd.scrollTop;
    if($dl + $dw >= $bdw + $bdsl){
    	$bd.scrollLeft =  $dw + $dl + 20 - $bdw;
    }
    if($dl <= $bdsl){
    	$bd.scrollLeft = $dl - 20;
    }
    if($dt - 20 <= $bdst){
    	$bd.scrollTop = $dt -20;
    }
    if($dt + $dh + 20 >= $bdh + $bdst){
    	$bd.scrollTop = $dh + $dt + 20 - $bdst;
    }
}
function scaleChanged(factor){
	var w = window.screen.width / 1.5;
    var f = window.innerWidth*1.0/w;
    $("msgbox").style.zoom = f*1.2;
	$("msgbox").style.width = w;
    if(window.storage.currentPoi){
    	setBoxPos("container3", window.storage.currentPoi.style.left, window.storage.currentPoi.style.top);
    }
}
window.onload = function(){
    window.onresize = function(){
        scaleChanged(0);
    }
}
function checkTimeStyle(d) {
    if (d == "") {
        return " --:--&nbsp;"
    }
    try {
        var b = [];
        b = d.split(":");
        for (var a = 0; a < b.length; a++) {
            if (b[a] == "0") {
                b[a] = "0" + b[a]
            }
        }
        return b[0] + ":" + b[1]
    } catch(c) {
        return " --:--&nbsp;"
    }
}
function nearestPoi(c, b) {
    var e = Date.now();
    var h = Number.POSITIVE_INFINITY,
    f = 0;
    var a = null;
    mycontext.beginPath();
    mycontext.textAlign = "start";
    mycontext.textBaseLine = "top";
    mycontext.fillStyle = "black";
    for (var k = 0; k < c.length; k++) {
        mycontext.beginPath();
        mycontext.font = config.TRANSFER_WORD_SIZE + " 宋体";
        mycontext.fillStyle = c[k].lc;
        mycontext.fillText(c[k].lb, c[k].lbx + config.LINE_NAME_X, c[k].lby + config.LINE_NAME_Y);
        mycontext.fillStyle = "black";
        for (var i = 0; i < c[k].stations.length; i++) {
            var j = c[k].stations[i];
            if (j.iu) {
                mycontext.beginPath();
                mycontext.fillStyle = "black";
                mycontext.font = "normal " + config.STATION_WORD_SIZE + " 宋体";
                mycontext.fillText(j.lb, j.x + config.STATION_NAME_X + j.rx, j.y + config.STATION_NAME_Y + j.ry);
                if (j.ex) {
                    mycontext.drawImage(window.pics.transfer, j.x + config.TRANSFER_X + j.trs_x, j.y + config.TRANSFER_Y + j.trs_y, config.TRANSFER_WIDTH, config.TRANSFER_HEIGHT)
                }
                if (j.icon) {
                    var g = j.icon.split(",");
                    window.pics[g[0]] = new Image();
                    window.pics[g[0]].setAttribute("names", g[0]);
                    window.pics[g[0]].setAttribute("x", j.x);
                    window.pics[g[0]].setAttribute("y", j.y);
                    window.pics[g[0]].setAttribute("dx", g[1]);
                    window.pics[g[0]].setAttribute("dy", g[2]);
                    window.pics[g[0]].src = "images/" + g[0] + ".png";
                    window.pics[g[0]].onload = function() {
                        var l = this.getAttribute("x");
                        var p = this.getAttribute("y");
                        var n = this.getAttribute("dx");
                        var m = this.getAttribute("dy");
                        var o = this.getAttribute("names");
                        mycontext.drawImage(window.pics[o], Number(l) + Number(n), Number(p) + Number(m), 30, 30)
                    }
                }
                if (!j.ex) {
                    mycontext.beginPath();
                    mycontext.arc(j.x, j.y, config.CIRCLE_RADIUS, 0, 2 * Math.PI, false);
                    mycontext.strokeStyle = j.color;
                    mycontext.lineWidth = config.CIRCLE_LINE_WIDTH;
                    mycontext.fillStyle = "white";
                    mycontext.fill();
                    mycontext.stroke()
                }
            }
            if (b.px != 0 && b.py != 0) {
                f = Math.pow(j.px - b.px, 2) + Math.pow(j.py - b.py, 2);
                if (f < h) {
                    h = f;
                    a = j
                }
            }
        }
    }
    var d = Date.now();
    if (b.px && b.py) {
        return a
    } else {
        return {
            x: 0,
            y: 0
        }
    }
}
function getQueryStringArgs() {
    var b = (location.search.length > 0 ? location.search.substring(1) : ""),
    e = {},
    c = b.length ? b.split("&") : [],
    g = null,
    d = null,
    h = null,
    f = 0,
    a = c.length;
    for (f = 0; f < a; f++) {
        g = c[f].split("=");
        d = decodeURIComponent(g[0]);
        h = decodeURIComponent(g[1]);
        if (d.length) {
            e[d] = h
        }
    }
    return e
}
document.addEventListener("networkdisconect",
function(b) {
    if ($("wait-loading") && window.storage.isShowBox) {
        var a = [];
        a.push('<div class="wait" id="wait"><span class="text" >网络连接超时</span></div>');
        $("msgbox").innerHTML = a.join("");
        window.storage.isShowTimeout = true
    }
},
false);
document.getElementById("container1").onclick = function() {};
document.body.addEventListener("click",
function(a) {
    $("container3").style.display = "none";
    window.storage.isShowBox = false
},
false);
function addStat(e, d) {
    if (!e) {
        return
    }
    var g = {
        lbc_promo: "http://api.lbc.baidu.com/ba/promo/view?",
        lbc_poi: "http://api.lbc.baidu.com/ba/poi/view?",
        lbc_sale: "http://push.lbc.baidu.com/sendmsg/api/counter?"
    },
    b = {
        iphone: "3",
        android: "4",
        ipad: "7"
    },
    f = "http://client.map.baidu.com/place/v1/img/transparent.gif?newmap=1&code=" + e + "&",
    d = d || {};
    d.mobile = window.config.mobileType || "other";
    for (var c in d) {
        f += c + "=" + encodeURIComponent(d[c]) + "&"
    }
    f += "t=" + Date.now();
    var h = function(i) {
        if (!i) {
            return
        }
        addStat._sending = true;
        setTimeout(function() {
            $("img").src = i.src
        },
        50)
    };
    var a = function() {
        var i = addStat._reqQueue.shift();
        if (i) {
            h(i)
        }
    };
    if (addStat._sending) {
        addStat._reqQueue.push({
            src: f
        })
    } else {
        h({
            src: f
        })
    }
    if (!addStat._binded) {
        $("img").addEventListener("load",
        function() {
            addStat._sending = false;
            a()
        },
        false);
        $("img").addEventListener("error",
        function() {
            addStat._sending = false;
            a()
        },
        false);
        addStat._binded = true
    }
}
addStat._reqQueue = [];
var STAT_SUBWAY_VISIT = 961;
var STAT_SUBWAY_CLICK = 962;